Loading...
Searching...
No Matches
gx_system::AbstractStateIO Class Referenceabstract

`#include <gx_json.h>`

Inheritance diagram for gx_system::AbstractStateIO:

## Public Member Functions

virtual | ~AbstractStateIO ()
virtual void | read_state (JsonParser &, const SettingsFileHeader &)=0
virtual void | commit_state ()=0
virtual void | write_state (JsonWriter &, bool)=0

## Detailed Description

Definition at line 398 of file gx_json.h.

## Constructor & Destructor Documentation

## ~AbstractStateIO()

virtual gx_system::AbstractStateIO::~AbstractStateIO | ( |  | ) |

virtual

## Member Function Documentation

## commit_state()

virtual void gx_system::AbstractStateIO::commit_state | ( |  | ) |

pure virtual

Implemented in gx_preset::StateIO.

## read_state()

virtual void gx_system::AbstractStateIO::read_state | ( | JsonParser & | ,
|  | const SettingsFileHeader & | )

pure virtual

Implemented in gx_preset::StateIO.

## write_state()

virtual void gx_system::AbstractStateIO::write_state | ( | JsonWriter & | ,
|  | bool | )

pure virtual

Implemented in gx_preset::StateIO.

The documentation for this class was generated from the following file:

- src/headers/gx_json.h